Extending Qt Creator Manual | IDocumentFactory

Extending Qt Creator Manual 4.5.2

# IDocumentFactory Class

(Core::IDocumentFactory)

- List of all members, including inherited members

## Public Types

typedef | Opener

## Public Functions

| IDocumentFactory(QObject *parent = 0)
void | addMimeType(const char *mimeType)
void | addMimeType(const QString &mimeType)
QStringList | mimeTypes() const
IDocument * | open(const QString &filename)
void | setMimeTypes(const QStringList &mimeTypes)
void | setOpener(const Opener &opener)

## Member Type Documentation

### typedef IDocumentFactory::Opener

## Member Function Documentation

### IDocumentFactory::IDocumentFactory(QObject *parent = 0)

Default constructs an instance of IDocumentFactory.

### void IDocumentFactory::addMimeType(const char *mimeType)

### void IDocumentFactory::addMimeType(const QString &mimeType)

### QStringList IDocumentFactory::mimeTypes() const

See also setMimeTypes().

### IDocument *IDocumentFactory::open(const QString &filename)

### void IDocumentFactory::setMimeTypes(const QStringList &mimeTypes)

See also mimeTypes().

### void IDocumentFactory::setOpener(const Opener &opener)